Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.jsontype.impl
Class MinimalClassNameIdResolver

    java.lang.Object
      com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase
          com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver
              com.fasterxml.jackson.databind.jsontype.impl.MinimalClassNameIdResolver

All Implemented Interfaces:
  TypeIdResolver

    public class MinimalClassNameIdResolver

extends ClassNameIdResolver

Field Summary
`protected String` | `_basePackageName` Package name of the base class, to be used for determining common prefix that can be omitted from included type id.
`protected String` | `_basePackagePrefix` Same as `_basePackageName`, but includes trailing dot.

Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase
`_baseType, _typeFactory`

Constructor Summary
`protected` | `MinimalClassNameIdResolver(JavaType baseType, TypeFactory typeFactory)`

Method Summary
`JsonTypeInfo.Id` | `getMechanism()` Accessor for mechanism that this resolver uses for determining type id from type.
`String` | `idFromValue(Object value)` Method called to serialize type of the type of given value as a String to include in serialized JSON content.
`JavaType` | `typeFromId(String id)` Method called to resolve type from given type identifier.

Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver
`_idFrom, idFromValueAndType, registerSubtype`

Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase
`idFromBaseType, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _basePackageName

    protected final String _basePackageName

  Package name of the base class, to be used for determining common prefix that can be omitted from included type id. Does not include the trailing dot.

### _basePackagePrefix

    protected final String _basePackagePrefix

  Same as `_basePackageName`, but includes trailing dot.

Constructor Detail

### MinimalClassNameIdResolver

    protected MinimalClassNameIdResolver(JavaType baseType,
                                         TypeFactory typeFactory)

Method Detail

### getMechanism

    public JsonTypeInfo.Id getMechanism()

  Description copied from interface: `TypeIdResolver`
  Accessor for mechanism that this resolver uses for determining type id from type. Mostly informational; not required to be called or used.

  Specified by:
    `getMechanism` in interface `TypeIdResolver`
  Overrides:
    `getMechanism` in class `ClassNameIdResolver`

### idFromValue

    public String idFromValue(Object value)

  Description copied from interface: `TypeIdResolver`
  Method called to serialize type of the type of given value as a String to include in serialized JSON content.

  Specified by:
    `idFromValue` in interface `TypeIdResolver`
  Overrides:
    `idFromValue` in class `ClassNameIdResolver`

### typeFromId

    public JavaType typeFromId(String id)

  Description copied from interface: `TypeIdResolver`
  Method called to resolve type from given type identifier.

  Specified by:
    `typeFromId` in interface `TypeIdResolver`
  Overrides:
    `typeFromId` in class `ClassNameIdResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.